Bug 1929392 - pulp3: Migration reset() requires both href and the migration plan as a string for Ruby bindings
Summary: pulp3: Migration reset() requires both href and the migration plan as a strin...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.9.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.9.0
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-16 19:08 UTC by Tanya Tereshchenko
Modified: 2021-04-21 13:10 UTC (History)
8 users (show)

Fixed In Version: pulp-2to3-migration-0.8.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-21 13:10:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Pulp Redmine 8211 0 Normal CLOSED - CURRENTRELEASE Migration reset() requires both href and the migration plan as a string for Ruby bindings 2021-02-18 21:05:46 UTC
Red Hat Product Errata RHSA-2021:1313 0 None None None 2021-04-21 13:10:58 UTC

Description Tanya Tereshchenko 2021-02-16 19:08:04 UTC
Description of problem:

From the generated docs:

...
result = api_instance.reset(pulp_2to3_migration_migration_plan_href, pulp2to3_migration_migration_plan)
...

We should be able to just provide the plan href rather than just the plan as a string.

Comment 1 pulp-infra@redhat.com 2021-02-16 20:06:29 UTC
The Pulp upstream bug status is at MODIFIED. Updating the external tracker on this bug.

Comment 2 pulp-infra@redhat.com 2021-02-16 20:06:30 UTC
The Pulp upstream bug priority is at Normal. Updating the external tracker on this bug.

Comment 3 pulp-infra@redhat.com 2021-02-16 21:05:40 UTC
All upstream Pulp bugs are at MODIFIED+. Moving this bug to POST.

Comment 4 pulp-infra@redhat.com 2021-02-18 21:05:48 UTC
The Pulp upstream bug status is at CLOSED - CURRENTRELEASE. Updating the external tracker on this bug.

Comment 6 Lai 2021-03-24 19:56:44 UTC
I've checked the codebase and it is included in snap 18.

Verified on 6.9.0_18, python3-pulp-2to3-migration-0.9.1-1.el7pc.noarch

Comment 9 errata-xmlrpc 2021-04-21 13:10:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.9 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:1313


Note You need to log in before you can comment on or make changes to this bug.